/// <reference types="node" />
import type { ApiClient, QueryParameters } from "./v1.41";
import type * as stream from "stream";
export declare const generateQueryString: (queryParameters: QueryParameters | undefined, additionalString?: string | undefined) => string | undefined;
export interface Params {
    socketPath: string;
}
export interface Options {
    hijack?: boolean;
    isStream?: boolean;
    onHijackRequest?: (socket: stream.Readable) => void;
    onResponse?: (res: stream.Readable) => void;
}
export declare const create: (params: Params) => ApiClient<Options>;
